/**
 * AdditionalLocator2.java
 *
 * File generated from the medication2::AdditionalLocator2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AdditionalLocator2.
 *
 * 
 */

@XmlType(name = "AdditionalLocator")
@XmlEnum
@XmlRootElement(name = "AdditionalLocator2")
public enum AdditionalLocator2 {
	@XmlEnumValue("ADL")
	ADL("ADL"),
	@XmlEnumValue("UNID")
	UNID("UNID"),
	@XmlEnumValue("UNIT")
	UNIT("UNIT");
	
	private final String value;

    AdditionalLocator2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static AdditionalLocator2 fromValue(String v) {
        for (AdditionalLocator2 c: AdditionalLocator2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
